<?php
/**
 * 单页逻辑层
 *
 * @author Wzb
 *        
 */
class BLL_OnePage {
	/**
	 * 添加一个单页
	 *
	 * @param array $theArray
	 * @return int
	 */
	public static function add($theArray) {
		return DAL_OnePage::add ( COM_OftenFunction::makeArray ( $theArray ) );
	}
	
	/**
	 * 修改一个单页
	 *
	 * @param array $theArray
	 * @return int
	 */
	public static function edit($theArray) {
		$newArray = array ();
		$newArray = COM_OftenFunction::makeArray ( $theArray );
		$newArray ['id'] = intval ( $theArray ['theId'] );
		return DAL_OnePage::edit ( $newArray );
	}
	
	/**
	 * 删除指定条单页
	 *
	 * @param string $idList 多个必须用-分割开
	 * @return string string error1 id字符串为空|error2 删除失败|ok 删除成功
	 */
	public static function delete($idList) {
		if (empty ( $idList )) {
			return 'error1';
		}
		if (DAL_OnePage::delete ( $idList )) {
			return 'ok';
		} else {
			return 'error2';
		}
	}
	
	/**
	 * 获取一条单页
	 *
	 * @param int $id
	 * @param string $code 需要的字段 默认值：*
	 * @return array
	 */
	public static function getOne($id, $code = '*') {
		return DAL_OnePage::getOne ( intval ( $id ), $code );
	}
	
	/**
	 * 获取所有单页列表
	 *
	 * @param string $code 需要的字段 默认值：*
	 * @param array $limitArr 默认值：array('begin'=>0,'num'=>0)
	 * @return array()
	 */
	public static function getAllList($code = '*', $limitArr = array('begin'=>0,'num'=>0)) {
		return DAL_OnePage::getAllList ( $code, $limitArr );
	}
}
?>